<div class="employer-management">
  <h2 class="pb-2 header">
    <span id="employers-management-page-heading" jhiTranslate="employerManagement.home.title">Category management</span>
    <button class="btn btn-primary float-right jh-create-entity" (click)="openCreateModal()">
      <span jhiTranslate="employerManagement.home.createButton">Create employer</span>
    </button>
  </h2>
  <div class="row text-center">
    <div class="col-12">
      <div class="alert alert-secondary" role="alert" *ngIf="employers && employers.length === 0">
        <span jhiTranslate="global.dataEmpty"> employers are empty! </span>
      </div>
    </div>
  </div>
  <div class="table-responsive border-table" *ngIf="employers">
    <table class="table table-striped mb-0" aria-describedby="employer-management-page-heading">
      <thead class="thead-light">
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="transition.bind(this)">
          <th scope="col" jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="name"><span jhiTranslate="employerManagement.home.employer">Name</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="createdDate"><span jhiTranslate="employerManagement.home.createDate">Create
              Date</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody *ngIf="employers">
        <tr *ngFor="let employer of employers;">
          <td>{{ employer.id }}</td>
          <td>{{ employer.name }}</td>
          <td>{{ employer.createdDate | date: 'dd/MM/yyyy' }}</td>
          <td class="text-right">
            <div class="btn-group">
              <button ngbTooltip="{{'entity.action.edit' | translate}}" class="btn custom-icon-btn" type="button"
                (click)="openUpdateModal(employer.id, employer.name)">
                <i class="bi bi-pencil"></i>
              </button>
              <button ngbTooltip="{{'entity.action.delete' | translate}}" class="btn custom-icon-btn" type="button"
                (click)="openDeleteModal(employer.id, employer.name)">
                <i class="bi bi-trash"></i>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div *ngIf="employers" class="pt-5 d-flex justify-content-end mr-0">
    <jhi-item-count class="mr-4 align-self-center" [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage">
    </jhi-item-count>
    <ngb-pagination size="sm" [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="3"
      [rotate]="true" [boundaryLinks]="true" (pageChange)="transition()"></ngb-pagination>
  </div>
</div>